Get Team Member's Groups

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API lists all the groups a specific team member is part of.

Endpoints

OAuth Scope

WorkDrive.users.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/users/{team_member_id}/groups \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_member_idstring(Required)

The unique ID of the team member that is created when a member is added into a team.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]integer(Optional)

Used to filter groups by type.

Eg.filter[type]={type_id}
1 - WorkDrive Group.

Allowed Values :
Show Values
1Copied!
Copied!Copy all as JSON Array

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": [
      {
        "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
        "type": "groups",
        "attributes": {
          "owner": "747937818",
          "created_time": "Apr 13, 12:15 AM",
          "capabilities": {
            "can_read": true,
            "can_delete": true,
            "can_edit": true,
            "can_trash": true,
            "can_rename": true,
            "can_restore": true,
            "can_add_members": true
          },
          "description": "",
          "type": 1,
          "created_by": "Zylker Creation",
          "modified_time": "Apr 13, 12:15 AM",
          "avatar_url": "https://js.zohostatic.com/personal/stable/jsapps/ui-lab/dist/assets/dev/svg-icons/common/groups_logo-1b99e1d06fa5e3bb404e335e6ce2f43a.svg",
          "parent_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
          "name": "Managers",
          "modified_by": "Zylker Creation",
          "members_count": 1,
          "status": 1
        },
        "relationships": {
          "groupmembers": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/groups/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021/relationships/groupmembers",
              "related": "https://www.zohoapis.com/workdrive/groups/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021/groupmembers"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/groups/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Authentication required"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Unexpected server error"
      }
    ]
  }
                
Show full